DROP TABLE IF EXISTS Ensmusg2Ensg;
CREATE TABLE IF NOT EXISTS Ensmusg2Ensg
(mouse VARCHAR(128),
human  VARCHAR(128),
INDEX (mouse),
INDEX (human));
LOAD DATA LOCAL INFILE 'imports/ensmus2ensg.csv'
INTO TABLE Ensmusg2Ensg;

DROP TABLE IF EXISTS EnsgDescriptions;
CREATE TABLE IF NOT EXISTS EnsgDescriptions
(stable_id VARCHAR(128) PRIMARY KEY,
description  VARCHAR(128));
LOAD DATA LOCAL INFILE 'imports/ensgdescriptions.csv'
INTO TABLE EnsgDescriptions;

DROP TABLE IF EXISTS Swissprot2Ensg;
CREATE TABLE IF NOT EXISTS Swissprot2Ensg
(swissprot VARCHAR(128) KEY,
ensembl VARCHAR(128),
INDEX (ensembl));
LOAD DATA LOCAL INFILE 'imports/swissprot2ensg.csv'
INTO TABLE Swissprot2Ensg;

DROP TABLE IF EXISTS Swissprot2Ensmusg;
CREATE TABLE IF NOT EXISTS Swissprot2Ensmusg
(swissprot VARCHAR(128) KEY,
ensembl VARCHAR(128),
INDEX (ensembl));
LOAD DATA LOCAL INFILE 'imports/swissprot2ensmusg.csv'
INTO TABLE Swissprot2Ensmusg;

DROP TABLE IF EXISTS Unigene2Ensg;
CREATE TABLE IF NOT EXISTS Unigene2Ensg
(unigene VARCHAR(128) KEY,
ensembl VARCHAR(128),
INDEX (ensembl));
LOAD DATA LOCAL INFILE 'imports/unigene2ensg.csv'
INTO TABLE Unigene2Ensg;

DROP TABLE IF EXISTS Unigene2Ensmusg;
CREATE TABLE IF NOT EXISTS Unigene2Ensmusg
(unigene VARCHAR(128) KEY,
ensembl VARCHAR(128),
INDEX (ensembl));
LOAD DATA LOCAL INFILE 'imports/unigene2ensmusg.csv'
INTO TABLE Unigene2Ensmusg;

DROP TABLE IF EXISTS FkrpScrambledAverage;
CREATE TABLE IF NOT EXISTS FkrpScrambledAverage
(gene_id VARCHAR(64), signal FLOAT,
INDEX (gene_id))
SELECT gene_id,  avg(assay_normalized_signal) signal
FROM FkrpScrambled
GROUP BY gene_id;

DROP TEMPORARY TABLE IF EXISTS FkrpSiRna;
CREATE TEMPORARY TABLE IF NOT EXISTS FkrpSiRna
(gene_id VARCHAR(128),
assay_normalized_signal FLOAT,
INDEX (gene_id));
INSERT FkrpSiRna SELECT * FROM FkrpSiRna1;
INSERT FkrpSiRna SELECT * FROM FkrpSiRna2;

DROP TABLE IF EXISTS FkrpSiRnaAverage;
CREATE  TABLE IF NOT EXISTS FkrpSiRnaAverage
(gene_id VARCHAR(128), signal FLOAT,
INDEX (gene_id))
SELECT gene_id,  avg(assay_normalized_signal) signal
FROM FkrpSiRna
GROUP BY gene_id;

DROP TABLE IF EXISTS Fkrpmcg2Ratio;
CREATE  TABLE Fkrpmcg2Ratio
(gene_id VARCHAR(64),
ratio FLOAT,
index (gene_id))
SELECT a.gene_id,  b.signal/a.signal as ratio
FROM FkrpScrambledAverage a JOIN FkrpSiRnaAverage b USING (gene_id);

DROP TEMPORARY TABLE IF EXISTS mCG2Blurb1;
CREATE TEMPORARY TABLE IF NOT EXISTS mCG2Blurb1
  (Gene_ID VARCHAR(64),
  swissprot VARCHAR(1024),
  unigene VARCHAR(1024),
  INDEX(Gene_ID))
SELECT DISTINCT 
  Gene_ID,
  Concat(Trim(SwissProt),';') as swissprot,
  Concat(Trim(UniGene),';') as unigene
FROM allset6
WHERE (Swissprot IS NOT NULL and Swissprot<>'')
or (Unigene IS NOT NULL and unigene<>'');

DROP TEMPORARY TABLE IF EXISTS mCG2Blurb2;
CREATE TEMPORARY TABLE IF NOT EXISTS mCG2Blurb2
SELECT DISTINCT * FROM mCG2Blurb1;

#DROP TABLE IF EXISTS mCG2Ensmusg;
#CREATE TABLE IF NOT EXISTS mCG2Ensmusg
#  (Gene_ID VARCHAR(128),
#   Ensembl VARCHAR(128),
#   INDEX(Gene_ID),
#   INDEX(Ensembl))
#SELECT DISTINCT Gene_ID, Ensembl
#FROM Unigene2Ensmusg u2m, mCG2Blurb1 blurb1
#WHERE InStr(blurb1.UniGene,CONCAT(u2m.UniGene,";"))
#UNION DISTINCT
#SELECT DISTINCT Gene_ID, Ensembl
#FROM Swissprot2Ensmusg s2m, mCG2Blurb2 blurb2
#WHERE InStr(blurb2.UniGene,CONCAT(s2m.swissprot,";"));

DROP TABLE IF EXISTS FkrpEnsg2Ratio;
CREATE TABLE IF NOT EXISTS FkrpEnsg2Ratio
SELECT DISTINCT human, abs(log(ratio)/log(2)) as abslogratio, description
FROM Fkrpmcg2Ratio 
JOIN mCG2Ensmusg USING (Gene_id)
JOIN Ensmusg2Ensg ON (Ensembl=Mouse)
JOIN EnsgDescriptions ON (stable_id=human);
