DROP TABLE IF EXISTS EnsgDescriptions;
CREATE TABLE IF NOT EXISTS EnsgDescriptions
(stable_id VARCHAR(128) PRIMARY KEY,
description  VARCHAR(128));
LOAD DATA LOCAL INFILE 'imports/ensgdescriptions.csv'
INTO TABLE EnsgDescriptions;

DROP TABLE IF EXISTS Swissprot2Ensg;
CREATE TABLE IF NOT EXISTS Swissprot2Ensg
(swissprot VARCHAR(128) KEY,
ensembl VARCHAR(128),
INDEX (ensembl));
LOAD DATA LOCAL INFILE 'imports/swissprot2ensg.csv'
INTO TABLE Swissprot2Ensg;

DROP TABLE IF EXISTS Unigene2Ensg;
CREATE TABLE IF NOT EXISTS Unigene2Ensg
(unigene VARCHAR(128) KEY,
ensembl VARCHAR(128),
INDEX (ensembl));
LOAD DATA LOCAL INFILE 'imports/unigene2ensg.csv'
INTO TABLE Unigene2Ensg;

DROP TEMPORARY TABLE IF EXISTS hCG2Blurb1;
CREATE TEMPORARY TABLE IF NOT EXISTS hCG2Blurb1
  (Gene_ID VARCHAR(64),
  swissprot VARCHAR(1024),
  unigene VARCHAR(1024),
  INDEX(Gene_ID))
SELECT DISTINCT 
  Gene_ID,
  Concat(Trim(SwissProt),';') as swissprot,
  Concat(Trim(UniGene),';') as unigene
FROM allset6
WHERE (Swissprot IS NOT NULL and Swissprot<>'')
or (Unigene IS NOT NULL and unigene<>'');

DROP TEMPORARY TABLE IF EXISTS hCG2Blurb2;
CREATE TEMPORARY TABLE IF NOT EXISTS hCG2Blurb2
SELECT DISTINCT * FROM hCG2Blurb1;

DROP TABLE IF EXISTS hCG2Ensg;
CREATE TABLE IF NOT EXISTS hCG2Ensg
  (Gene_ID VARCHAR(128),
   Ensembl VARCHAR(128),
   INDEX(Gene_ID),
   INDEX(Ensembl))
SELECT DISTINCT Gene_ID, Ensembl
FROM Unigene2Ensg u2m, hCG2Blurb1 blurb1
WHERE InStr(blurb1.UniGene,CONCAT(u2m.UniGene,";"))
UNION DISTINCT
SELECT DISTINCT Gene_ID, Ensembl
FROM Swissprot2Ensg s2m, hCG2Blurb2 blurb2
WHERE InStr(blurb2.UniGene,CONCAT(s2m.swissprot,";"));
