DROP TABLE IF EXISTS Taf4SiRnaHela;
DROP TABLE IF EXISTS Taf4ScrambledHela;
DROP TABLE IF EXISTS Taf4SiRnaSkndz;
DROP TABLE IF EXISTS Taf4ScrambledSkndz;

CREATE TABLE IF NOT EXISTS Taf4SiRnaHela
SELECT allset1.Gene_ID, Assay_Normalized_Signal 
FROM allset6, allset1
WHERE
(allset6.Sample_Name="I-1" 
or allset6.Sample_Name="I-2"
or allset6.Sample_Name="I-3"
or allset6.Sample_Name="I-4")
and allset6.sample_name=allset1.sample_name
and allset1.Assay_Name=allset6.Assay_Name
and allset1.gene_id=allset6.gene_id
and allset1.Probe_ID=allset6.Probe_ID;

CREATE TABLE IF NOT EXISTS Taf4ScrambledHela
SELECT allset1.Gene_ID, Assay_Normalized_Signal 
FROM allset6, allset1
WHERE
(allset6.Sample_Name="II-1" 
or allset6.Sample_Name="II-2"
or allset6.Sample_Name="II-3")
and allset6.sample_name=allset1.sample_name
and allset1.Assay_Name=allset6.Assay_Name
and allset1.gene_id=allset6.gene_id
and allset1.Probe_ID=allset6.Probe_ID;

CREATE TABLE IF NOT EXISTS Taf4SiRnaSkndz
SELECT allset1.Gene_ID, Assay_Normalized_Signal 
FROM allset6, allset1
WHERE
(allset6.Sample_Name="Si I"
or allset6.Sample_Name="Si II"
or allset6.Sample_Name="Si III"
or allset6.Sample_Name="Si IV")
and allset6.sample_name=allset1.sample_name
and allset1.Assay_Name=allset6.Assay_Name
and allset1.gene_id=allset6.gene_id
and allset1.Probe_ID=allset6.Probe_ID;

CREATE TABLE IF NOT EXISTS Taf4ScrambledSkndz
SELECT allset1.Gene_ID, Assay_Normalized_Signal 
FROM allset6, allset1
WHERE
(allset6.Sample_Name="Scr I"
or allset6.Sample_Name="Scr II"
or allset6.Sample_Name="Scr III"
or allset6.Sample_Name="Scr IV")
and allset6.sample_name=allset1.sample_name
and allset1.Assay_Name=allset6.Assay_Name
and allset1.gene_id=allset6.gene_id
and allset1.Probe_ID=allset6.Probe_ID;

CREATE TABLE IF NOT EXISTS Taf4ScrambledHelaAverage
 (gene_id VARCHAR(128), 
  signal FLOAT, 
  INDEX (gene_id)) 
SELECT gene_id, avg(assay_normalized_signal) signal
FROM Taf4ScrambledHela GROUP BY gene_id;

CREATE TABLE IF NOT EXISTS Taf4SiRnaHelaAverage
 (gene_id VARCHAR(128), 
  signal FLOAT, 
  INDEX (gene_id)) 
SELECT gene_id, avg(assay_normalized_signal) signal
FROM Taf4SiRnaHela GROUP BY gene_id;

CREATE TABLE IF NOT EXISTS Taf4ScrambledSkndzAverage
 (gene_id VARCHAR(128), 
  signal FLOAT, 
  INDEX (gene_id)) 
SELECT gene_id, avg(assay_normalized_signal) signal
FROM Taf4ScrambledSkndz GROUP BY gene_id;

CREATE TABLE IF NOT EXISTS Taf4SiRnaSkndzAverage
 (gene_id VARCHAR(128), 
  signal FLOAT, 
  INDEX (gene_id)) 
SELECT gene_id, avg(assay_normalized_signal) signal
FROM Taf4SiRnaSkndz GROUP BY gene_id;

CREATE TEMPORARY TABLE Taf4HcgRatioHela
  (gene_id VARCHAR(64), 
  ratio FLOAT,
  index (gene_id)) 
SELECT a.gene_id, b.signal/a.signal as ratio
FROM Taf4ScrambledHelaAverage a
JOIN Taf4SiRnaHelaAverage b
USING (gene_id);

CREATE TEMPORARY TABLE Taf4HcgRatioSkndz
  (gene_id VARCHAR(64), 
  ratio FLOAT,
  index (gene_id)) 
SELECT a.gene_id, b.signal/a.signal as ratio
FROM Taf4ScrambledSkndzAverage a
JOIN Taf4SiRnaSkndzAverage b
USING (gene_id);

CREATE TEMPORARY TABLE Taf4EnsgAbsLogSkndz
SELECT DISTINCT ensembl, log(abs(ratio)) as abslogratio, description 
FROM Taf4HcgRatioSkndz 
JOIN hCG2Ensg USING (Gene_ID)
JOIN EnsgDescriptions ON (stable_id=ensembl);

CREATE  TEMPORARY TABLE Taf4EnsgAbsLogHela
SELECT DISTINCT ensembl, log(abs(ratio)) as abslogratio, description 
FROM Taf4HcgRatioHela
JOIN hCG2Ensg USING (Gene_ID)
JOIN EnsgDescriptions ON (stable_id=ensembl);

# To join them further
DROP TABLE IF EXISTS Taf4EnsgAbsLogRatio;
CREATE TABLE IF NOT EXISTS Taf4EnsgAbsLogRatio
SELECT hela.ensembl, hela.abslogratio as hela, skndz.abslogratio as skndz, hela.description
FROM Taf4EnsgAbsLogHela as hela
JOIN Taf4EnsgAbsLogSkndz as skndz 
USING (ensembl);
